Bug 197559 - Review Request: scim-chinese-standard: Chinese Linux Standard IM adapter
Review Request: scim-chinese-standard: Chinese Linux Standard IM adapter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 197560
  Show dependency treegraph
 
Reported: 2006-07-04 00:04 EDT by Qingyu Wang
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 23:08:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
scim-chinese-standard.spec (1.32 KB, text/plain)
2006-07-06 01:36 EDT, Jens Petersen
no flags Details

  None (edit)
Description Qingyu Wang 2006-07-04 00:04:04 EDT
Spec URL: http://sourceforge.net/project/showfiles.php?group_id=162943&package_id=184064&release_id=429472
SRPM URL: http://sourceforge.net/project/showfiles.php?group_id=162943&package_id=184064&release_id=429472
Description: This is an adapter to make SCIM conform to Input Method specification of Chinese Linux Standard.
Comment 1 Jens Petersen 2006-07-06 01:29:11 EDT
I suggest to rename the package to scim-chinese-standard
to make it clearer what it is.
Comment 2 Jens Petersen 2006-07-06 01:36:40 EDT
Created attachment 131976 [details]
scim-chinese-standard.spec

I cleaned up the spec file a bit but it still needs some
polishing before it can be accepted for Extras.
Comment 3 Jens Petersen 2006-07-06 01:45:30 EDT
I do not think that scim-chinese-standard needs to provide and own the
chinese-standard directories in libdir, they should be owned by whatever
engines and helper that go in there IMHO.
Comment 5 Jens Petersen 2006-07-07 08:19:42 EDT
Thanks for uploading
http://prdownloads.sourceforge.net/clsi/scim-chinese-standard-0.0.1-0.1.src.rpm

Here are some review comments:

      - MUST: rpmlint must be run on every package. The output should be posted
in the review.

E: scim-chinese-standard description-line-too-long This is an adapter to allow
SCIM to interoperate with the Input Method specification of the Chinese Linux
Standard.
W: scim-chinese-standard mixed-use-of-spaces-and-tabs

Fixing in attachment.

      - MUST: The package must be named according to the Package Naming Guidelines.

OK

      - MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec

OK

      - MUST: The package must meet the Packaging Guidelines.

Attached spec file is reworked in Fedora format to meet the guidelines.

      - MUST: The package must be licensed with an open-source compatible
license and meet other legal requirements as defined in the legal section of
Packaging Guidelines.
      - MUST: The License field in the package spec file must match the actual
license.

I think some of the code is derived from scim, which is LGPL.
So I think the license should also be LGPL.

      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

Ok.

      - MUST: The spec file must be written in American English.

Ok.

      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.

Please upload an updated .tar.gz file to Sourceforge.

Do not include autom4te.cache/ in the tarball.  It is 2MB. ;-)
Please use "make dist" to generate the tarball.

      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture.

Builds file on FC5 x86_64.

      - MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of Packaging Guidelines; inclusion
of those as BuildRequires is optional. Apply common sense.

Builds ok with mock for fc5.

      - MUST: A package must own all directories that it creates.

Adding %{_libdir}/scim-1.0/IMEngine/*/

      - MUST: A package must not contain any duplicate files in the %files listing.

ok

      - MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line.

ok

      - MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).

ok

      - MUST: Each package must consistently use macros, as described in the
macros section of Packaging Guidelines.

ok

      - MUST: Packages must NOT contain any .la libtool archives, these should
be removed in the spec.

OK

      - SHOULD: The reviewer should test that the package builds in mock.

OK

      - SHOULD: The reviewer should test that the package functions as
described. A package should not segfault instead of running, for example.

SCIM runs okay with scim-chinese-standard installed.


A fixed spec file and tarball is at:
http://people.redhat.com/petersen/extras/scim-chinese-standard-0.0.1-0.2.src.rpm

I think these files

%{_libdir}/scim-1.0/IMEngine/standard-im.so
%{_libdir}/scim-1.0/Helper/standard-helper.so

should be named chinese-standard-*.so also to avoid confusion
with any later CJK standard, or other international standard.
Comment 8 Jens Petersen 2006-07-10 06:49:45 EDT
(The .spec file was not updated btw.)

Okay the srpm is now enough.  Please bump the release number to 1,
put the full version-release in the %changelog, and add a reference
to this bug.  APPROVED.

Then please follow the rest of
<http://fedoraproject.org/wiki/Extras/Contributors>.

I don't think there is any need to make branches for FC-5 or FC-4 for this,
just devel should be sufficient.
Comment 9 Qingyu Wang 2006-07-11 23:10:08 EDT
I have commited this packge to FC6 Extras and built successfully.

Note You need to log in before you can comment on or make changes to this bug.